> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fieldnode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Materials

> List materials.



## OpenAPI

````yaml /api/openapi.json get /v1/materials
openapi: 3.1.0
info:
  title: Fieldnode API
  version: v1
  contact:
    name: Support
    url: https://fieldnode.com
    email: support@fieldnode.com
servers:
  - url: https://api.lab.fieldnode.dev
    description: Lab
    variables: {}
  - url: https://api.sandbox.fieldnode.dev
    description: Sandbox
    variables: {}
  - url: https://api.fieldnode.app
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Process
  - name: Standard
  - name: Material
  - name: Org
  - name: Upload
  - name: Part
  - name: Factory
  - name: Category
  - name: Criticality
  - name: Rfq
  - name: Offer
paths:
  /v1/materials:
    get:
      tags:
        - Material
      summary: List Materials
      description: List materials.
      operationId: listMaterials
      parameters:
        - $ref: '#/components/parameters/PaginatedListProps.page'
        - $ref: '#/components/parameters/PaginatedListProps.pageSize'
        - name: type
          in: query
          required: false
          description: Filter on material type.
          schema:
            type: string
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: object
                required:
                  - items
                  - hasMore
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/Material'
                    description: List of items.
                  hasMore:
                    type: boolean
                    description: Whether there are more items to fetch.
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    PaginatedListProps.page:
      name: page
      in: query
      required: false
      description: Page number for pagination, starting at 1.
      schema:
        type: integer
        format: int32
        minimum: 1
        default: 1
      explode: false
    PaginatedListProps.pageSize:
      name: pageSize
      in: query
      required: false
      description: Page size for pagination.
      schema:
        type: integer
        format: int32
        minimum: 1
        maximum: 50
        default: 10
      explode: false
  schemas:
    Material:
      type: object
      required:
        - code
        - name
        - type
      properties:
        code:
          type: string
          description: Material code.
        name:
          type: string
          description: Material name.
        type:
          type: string
          description: Material type.
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: integer
        message:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Token

````